KDE 4.2 PyKDE API Reference

- KDE's Python API

# KdePrint Namespace Reference

`from PyKDE4.kdeui.KdePrint import *`

## Detailed Description

Namespace for the KDE printing system

## Functions

QPrintDialog | createPrintDialog (QPrinter printer, [QWidge] customTabs, QWidget parent=0)
QPrintDialog | createPrintDialog (QPrinter printer, QWidget parent=0)

## Function Documentation

QPrintDialog createPrintDialog | ( | QPrinter | printer,
|  | [QWidge] | customTabs,
|  | QWidget | parent=0
| ) |  |  |

Creates a printer dialog for a QPrinter with the given custom widgets.

Note that the custom widgets are only supported on X11 and will not be shown on Qt versions prior to 4.3.2. On non-X11 systems it is preferred to provide the widgets within configuration dialog of the application.

Setting the widgets will transfer their ownership to the print dialog even on non-X11 systems. The caller takes ownership of the dialog and is responsible for deleting it.

Parameters:

  | printer | the QPrinter to apply settings to
  | parent | the parent for the dialog
  | customTabs | a list of custom widgets to show as tabs, the name printed on the tab will be taken from the widgets windowTitle().

See also:
  QWidget.setWindowTitle()

See also:
  QAbstractPrintDialog.setOptionTabs()

QPrintDialog createPrintDialog | ( | QPrinter | printer,
|  | QWidget | parent=0
| ) |  |  |

Creates a printer dialog for a QPrinter

The caller takes ownership of the dialog and is responsible for deleting it.

Parameters:

  | printer | the QPrinter to apply settings to
  | parent | the parent for the dialog